Skip to main content

Preferences API

Manage user-specific application preferences.

Endpoints Overview

MethodEndpointDescription
GET/preferences/me/preferencesGet my preferences
PATCH/preferences/me/preferencesUpdate my preferences

Get Preferences

GET /preferences/me/preferences

Retrieve the current user's preferences (e.g., notifications, UI settings).

Response

{
"user_id": "uuid-of-user",
"email_notifications_enabled": true,
"alert_email_frequency": "immediate",
"min_alert_severity": "medium",
"theme": "dark",
"timezone": "Europe/Amsterdam",
"show_copilot_debug": false
}

Update Preferences

PATCH /preferences/me/preferences

Update specific preference settings.

Request Body

{
"theme": "light",
"timezone": "America/New_York"
}

Preference Fields

FieldTypeDescription
themestringlight, dark, or the configured platform default
timezonestring | nullIANA time zone for date-time display and scheduling. null means use browser time zone.
email_notifications_enabledbooleanEnable or disable email notifications
alert_email_frequencystringAlert email cadence, such as immediate or daily
min_alert_severitystringMinimum alert severity for notifications

Invalid time zones return 400 Bad Request.

Response

Returns the updated preference object.